2013. 12. 16. 17:30

문제점:

java.lang.UnsupportedClassVersionError: com/enki/loves/servlet/DownloadServlet : Unsupported major.minor version 51.0 
(unable to load class com.enki.loves.servlet.DownloadServlet) 

war파일 실행했는데 위에 처럼 에러 발생했습니다. 

javacomplier 버전 문제로 파악되었지만 같은 버전을 사용하고 있습니다. 
이클립스 컴파일버전 -> 1.7.0 
jdk path 설정 - > 1.7.0 


해결:

환경변수 셋팅을 잘 해야 한다. JRE_HOME 부분이 문제였음.


TOMCAT_HOME  =   C:\jdk\jdk1.7.0_21

path  =   C:\jdk\jdk1.7.0_21\bin

JAVA_HOME = C:\jdk\jdk1.7.0_21

JRE_HOME = C:\jdk\jdk1.7.0_21

Posted by hoonihoon85 hoonihoon

댓글을 달아 주세요